Summary: A wire chamber simulation program
Name: garfield
%define version 9.11
Version: %{version}
Release: 10.5hepx1a
Source0: garfield-%{version}.tar.gz
Source1: canvas_14_cccccc.gif
Source2: canvas_cccccc_24_l.gif
Patch0: garfield-7.01-garfield.patch
Patch1: garfield-9.11-html.patch
Patch2: garfield-9.11-makefile.patch
Patch3: garfield-8.10-icons.patch
Patch4: garfield-9.11-gfortran.patch
License: CERN
Group: CERNLIB
Conflicts: garfield-lite
BuildRoot: %{_tmppath}/garf-root

%description
A wire chamber simulation program.
The package uses CERNLIB which requires
LICENSE agreement with CERN.

%prep
%setup
%patch0 -p1 -b .gf
%patch1 -p1 -b .ht
%patch2 -p1 -b .mk
%patch3 -p1 -b .ic
if [ $(which gfortran 2>&1 | grep -c 'no gfortran') = 0 ]; then
%patch4 -p1 -b .gfort
( cd html
mv make_html make_html.f77
sed -e 's;f77;gfortran -fno-automatic;g' make_html.f77 > make_html
)
fi
(cd html/labels
uudecode ../labels.uue
tar -xvf labels
)
cp -p $RPM_SOURCE_DIR/canvas*.gif html/labels
ln -s garfield-9_linux.cra garfield-9.cra
ln -s garfadd-9_linux.cra garfadd-9.cra

%build
if [ $(which gfortran 2>&1 | grep -c 'no gfortran') = 0 ]; then
make -f makefile_linux FC='gfortran' FDEBUGFLAGS="-O0" garfield-9
else
make -f makefile_linux FDEBUGFLAGS="$RPM_OPT_FLAGS" garfield-9
fi
make -f makefile_linux help
if [ $(which gfortran 2>&1 | grep -c 'no gfortran') = 0 ]; then
make -f makefile_linux doc FC='gfortran'
else
make -f makefile_linux doc
fi

%install
mkdir -p $RPM_BUILD_ROOT/cern/pro/bin
mkdir -p $RPM_BUILD_ROOT/cern/pro/share/garfield
install -c -s -m 755 garfield-9 $RPM_BUILD_ROOT/cern/pro/bin
install -c -m 644 garfield.packhelp  $RPM_BUILD_ROOT/cern/pro/share/garfield
install -c -m 644 garfinit  $RPM_BUILD_ROOT/cern/pro/share/garfield
(cd doc/labels
 rm -f *.ht 
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,wheel)
%doc doc/*
/cern/pro/bin/garfield-9
%dir /cern/pro/share/garfield
/cern/pro/share/garfield/*

%changelog
* Wed Mar 26 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 9.11-10.5hepx1a
- 1st build on MacOS X 10.5 for Intel Macs

* Wed Apr 18 2007 Keisuke Fujii <keisuke.fujii@kek.jp> 9.11-1b
- 2nd build on MacOS X 10.4 for Intel Macs

* Tue Oct 10 2006 Keisuke Fujii <keisuke.fujii@kek.jp> 9.11-1a
- 1st build on MacOS X 10.4 for Intel Macs

